| Code Coverage
| Classes and Traits | Functions and Methods | Lines
Total | 0.00% covered (danger) | 0.00% | 0 / 1 | 50.00% covered (danger) | 50.00% | 1 / 2 | CRAP | 66.67% covered (warning) | 66.67% | 2 / 3
RedisSubscribe | 0.00% covered (danger) | 0.00% | 0 / 1 | 50.00% covered (danger) | 50.00% | 1 / 2 | 2.15 | 66.67% covered (warning) | 66.67% | 2 / 3
__construct | 100.00% covered (success) | 100.00% | 1 / 1 | 1 | 100.00% covered (success) | 100.00% | 2 / 2
handle | 0.00% covered (danger) | 0.00% | 0 / 1 | 2.00 | 0.00% covered (danger) | 0.00% | 0 / 1

1 | <?php
2 |
3 | namespace App\Console\Commands;
4 |
5 | use Illuminate\Console\Command;
6 | use Illuminate\Support\Facades\Redis;
7 |
8 | class RedisSubscribe extends Command
9 | {
10 | /**
11 | * The name and signature of the console command.
12 | *
13 | * @var string
14 | */
15 | protected $signature = 'redis:subscribe';
16 |
17 | /**
18 | * The console command description.
19 | *
20 | * @var string
21 | */
22 | protected $description = 'Subscribe to a Redis channel';
23 |
24 | /**
25 | * Create a new command instance.
26 | *
27 | * @return void
28 | */
29 | public function __construct()
30 | {
31 | parent::__construct();
32 | }
33 |
34 | /**
35 | * Execute the console command.
36 | *
37 | * @return mixed
38 | */
39 | public function handle()
40 | {
41 | }
42 | }